Archive pour le Tag: ‘vSphere4.1

7 articles trouvés dans cette archive
Oct/1090

vSphere 4.1 inclus pas mal de nouveauté et notamment dans Update Manager. Vous l’avez peut-être déjà remarqué cette nouvelle version à de nouvelles options pour la gestion du Remediate des Host dans un cluster (désactivation temporaire des options DPM, HA et FT) mais aussi un onglet détaillant les patchs Host Upgrade disponibles. Comme on peut le voir dans les captures suivantes:

Lire la suite…

Oct/1060

Le vSphere client 4.1 est supporté sous Windows 7 (Cf. vSphere Compatibility Matrix page 17), il l’est d’ailleurs depuis la version 4.0 update 1.

Si votre client est en version 4.0.0, vous avez le message d’erreur « Error Parsing the server « x.x.x.x » « clients.xml » file« . Pour résoudre ce problème, il faut utiliser la procédure de contournement expliqué dans la KB1022611 ou dans le tutorial d’XtraVirt.

En revanche, si vous avez toujours ce message après une mise à jour du vSphere client:

  • désinstaller le vSphere client 4.0,
  • supprimer la variable d’environnement DEVPATH ajouté comme contournement pour la version 4.0
  • (si présent) désinstaller le correctif Microsoft KB980773 (.Net Framework 2.0)
  • et réinstaller le vSphere client en version 4.1

Et même si ca marche vous pouvez avoir des problèmes de performance du vSphere client sous Windows 7: le client est lent et il y a des problèmes de rafraichissement (spécialement en pleine taille). Pour résoudre ce problème, il faut désactivé l’option Desktop Composite (les effets graphiques d’Aero comme les fenêtres translucides) comme expliqué dans la KB1027836. Éditer ce paramètre dans la partie Compatibilité des propriétés du raccourci vSphere client comme ci-dessous.

Sep/1025

Un nouveau module est apparu dans vCenter 4.1: « Licensing Accounting » qui permet de gérer l’utilisation des licences.
Juste après l’installation, si vous avez un message « Impossible de stocker l’utilisation de la licence dans la base de données du vCenter Server »

Cette erreur est dut à la langue sélectionnée lors de la création du lien ODBC vers la base vCenter, comme indiquer dans la KB1024737
Pour résoudre, ce problème, il suffit de reconfigurer lien ODBC pour la langue English.

Sep/1025

Avec vSphere 4.1, vCenter Converter est passé en version 4.2 avec les mêmes fonctionnalités que la version Standalone.
Par contre après l’installation de Converter on a une erreur de com.vmware.converter dans le vCenter Status avec le message suivant:

Unable to retrive health data from https://xxxxxxxxx/converter/health.xml

On a un voyant rouge dans vCenter Status alors que dans le fichier XML (avec un navigateur) on a le status Green.

Cette erreur est du à une erreur du certificat SSL entre vCenter et Converter dans la base ADAM LDAP. Comme indiqué dans la KB1025010, il faut remplacer la signature SSL dans LDAP.
Voici le mode opératoire à suivre:

  • Sur le serveur vCenter, lancer la commande ldp.exe
  • Aller dans le menu Connexion > Se connecter et entrer le nom du serveur
  • Cliquer dans le menu Connexion > Lier et entrer le compte de connexion (compte administrateur)
  • Aller dans le menu Affichage > Arborescence , ne rien renseigner et cliquer OK
  • Déplier l’arborescence
    DC=virtualcenter,DC=vmware,DC=int
    > OU=Health,DC=virtualcenter,DC=vmware,DC=int
    >> OU=ComponentSpecs,OU=Health,DC=virtualcenter,DC=vmware,DC=int
    >>> CN=xxxxxxxx.vpxd,CN=xxxxxxxx,OU=ComponentSpecs,OU=Health,DC=virtualcenter,DC=vmware,DC=int
  • Dans la partie de droite, repérer la variable vmw-vc-SSLThumprint et copier la signature du certificat SSL de vCenter (avec le ; )
  • Puis faire click-droit un cran plus bas dans l’arborescence et sélectionner Modifier sur
  • >>> CN=com.vmware.converter,CN=xxxxxxxx,OU=ComponentSpecs,OU=Health,DC=virtualcenter,DC=vmware,DC=int
  • Entrer les valeurs:
      Attribut: vmw-vc-SSLThumbprint
      Valeur: (celle copier précédemment)
      Opération: Remplacer
  • Cliquer sur Entrer puis sur Exécuter
  • Enfin redémarrer le service VirtualCenter Server

A noter que vous pouvez aussi avoir une erreur similaire pour VUM (com.vmware.vcIntegrity).

Sep/1012

Depuis quelques jours sur le site vReference.com, la reference card pour vSphere 4 est disponible en version 2.3.2 pour vSphere 4.1

Elle prend en compte les nouveaux maximum et les nouvelles fonctionnalité de vSphere 4.1 (Storage IO control, Network IO Control, Load based teaming, VM-host affinity, TechSupportMode, Lockdown mode). Pour rappel elle contient les éléments suivant:

  • Availability
  • Networking
  • Ressources
  • Storage
  • ESX install
  • Clients
  • ESX hosts
  • ESXi hosts
  • vCenter
  • VMs & vApp

A noter d’également disponible:

Juil/1013

Avant de passer à vSphere 4.1, il y a quelques points à savoir: la compression de mémoire, le pseudo Lockdown, Composer non supporté et les KB déjà existantes.

L’article d’Eric Sloof (NTpro.nl) sur la compression transparente de mémoire explique comment ce mécanisme augmente la quantité de mémoire disponible pour les VMs. Globalement, l’accès à la mémoire compressé est plus performant que l’accès au swap.

Encore plus intéressant, l’article de VirtualVCP attire l’attention sur le fait que la nouvelle version fonction en mode pseudo Lockdown. A partir du moment ou les ESXs sont configuré pour être utilisé avec vCenter, le Power Control des VMs n’est plus possible que par vCenter. Ce qui signifie que si le vCenter est tombé, on ne peut plus démarré les VMs (encore plus problématique si le vCenter est une VM).
La solution d’urgence pour redémarrer les VMs (et surtout le vCenter) est de faire tombé le service « vpxa » sur l’ESX pour avoir le droit de démarrer des VMs localement.

Attention, Composer 2.0.x n’est pas supporté en vSphere 4.1 comme indiqué dans la KB1011292 car View Composer 2.0.x n’est pas supporté en version 64 bits. Il faudra attendre View 4.5.

Et pour finir, les KB VMware déjà existantes pour vSphere 4.1:

  • Considérations et prérequis d’installation et d’upgrade en vSphere 4.1, KB1022137
  • Best Practices de mise à jour ESX 4.1 et vCenter 4.1, KB1022104
  • Best Practices d’installation ESX 4.1 et vCenter 4.1, KB1022101
  • Mise à jour ESX 4.0 en 4.1, KB1022140
  • Changement des options du Support VMware en vSphere 4.1, KB1023118
  • Changement du DRS en vSphere 4.1, KB1022842
  • Changement du HA en vSphere 4.1, KB1022843
  • Changement du vMotion en vSphere 4.1, KB1022851
  • Changement du FT en vSphere 4.1, KB1022844
  • Utiliser le Tech Support Mode en ESXi 4.1, KB1017910
  • Résoudre les problèmes d’installation scriptée en ESXi 4.1, KB1022308
  • Déployer ESXi en utilisant les nouvelles fonctionnalité en installation scriptée, KB1022263
  • Recréer le mode Lockdown de vSphere 4.0 en vSphere 4.1, KB1017628
  • Configuration du mode Lockdown après mise à jour d’ESXi 4.0 en 4.1, KB1021935
  • Erreur « This installation package is not supported by this processor type » à l’installation ou la mise à jour de vCenter 4.1, KB1019144
  • Migrer la base de données en vCenter 4.1, KB1021635
  • Les fonctionnalités du repository d’Update Manager 4.1, KB1021695
  • Intégration à l’Active Directory avec vSphere 4.1, KB1021970
  • Paramètres ALUA dans les commandes ESX/ESXi 4.1, KB1022030
  • Support de l’USB pour ESX/ESXi 4.1, KB1022290
  • Sécuriser les Credentials dans vMA 4.1, KB1017669
  • Comparaison en ESX et ESXi en 4.1, KB1023990
  • Statistiques I/O en vSphere 4.1, KB1021953
  • Teaming réseau basé sur la charge en vSphere 4.1, KB1022590
  • Utiliser vShieldZones 1.0 en ESX 4.1, KB1022536
  • Gestion des ressources I/O réseau avec les vDS en vSphere 4.1, KB1022585
  • Résoudre des problèmes avec Storage I/O Control, KB1022091
  • Changer le nombre de CPU Virtuel en Coeur Virtuel en ESX/ESXi 4.1, KB1022289
  • Ports réseau requis pour vCenter 4.1, KB1022256
Juil/1013

VMware vSphere 4.1 est sorti !!!

Les nouveautés de cette version sont détaillées à l’adresse suivante :
http://www.vmware.com/support/vsphere4/doc/vsp_41_new_feat.html

Et en francais:

http://www.vmware.com/fr/support/vsphere4/doc/vsp_41_new_feat.html

Voici les quelques changements de cette nouvelle version.

  • ESX vs ESXi : Cette version est toujours déclinée en deux versions (ESX et ESXi) mais ce sera la dernière à le proposer. Les nouveaux
  • Possibilité de scripter l’installation d’ESXi
  • Suppression du client VMware dans la distribution, il faudra la télécharger directement sur le site
  • VMware vSphere 4.1 est disponible dans les langages suivants : Anglais, Français, Allemand, Japonnais, Chinois Simplifié